Insert Blocks from library - is it possible to avoid the scale and rotation prompt?

aridzv
edited January 2022 in 2D Drafting
Hi.
I'm using a user defined block library, and when draging a block in to the drawing (or duble clicking on a block icon),
after selecting the insertion point the software prompt me in the command line to set the rotation angle and insertion scale, and then it go to the attribute window.
is it possible to avoid the scale and rotation part and move straight to the attribute window,
just like it work with the insert command,where both the rotation and scale use the system default values?
ATTDIA Variable is set to 1.
ATTREQ Variable is set to 1.

thanks,
Ari.

*EDIT:
I eventually used lisp to avoid it:
(defun c:IA (/ osm )
(command "INSERTALIGNED" "~" pause "" "" )
(princ)
)

Comments

  • I was looking for a solution for said problem. For me this does not work in v24. Does the lisp script still work for you?

  • Hello.

    From my testing, the behavior of the Library panel cannot be customized.
    All options are required on inserting - meaning insertion point, scale, and rotation.

    An alternative, aside the lisp one, could be to use a custom tool palette and add the blocks to it.

  • If no attributes.

    (command "-INSERT" "blockname" pause 1 1 0)

    With attributes

    (command "-INSERT" "blockname" pause 1 1 0 att1 att2 ) needs to match number of attributes.

  • Have you looked at using "Tool Palettes panel" for inserting blocks.

    There you can configure each block for exploding/rotating/scale/layer …..